#
# spec file for package python-magnumclient
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-magnumclient
Version:        2.9.0
Release:        lp152.3.59
Summary:        Python API and CLI for OpenStack Magnum
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/python-magnumclient
Source0:        https://files.pythonhosted.org/packages/source/p/python-magnumclient/python-magnumclient-2.9.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-PrettyTable >= 0.7.1
BuildRequires:  python2-cryptography >= 1.9
BuildRequires:  python2-decorator >= 3.4.0
BuildRequires:  python2-fixtures >= 3.0.0
BuildRequires:  python2-keystoneauth1 >= 3.3.0
BuildRequires:  python2-mock >= 2.0.0
BuildRequires:  python2-openstackclient >= 3.12.0
BuildRequires:  python2-os-client-config >= 1.28.0
BuildRequires:  python2-osc-lib >= 1.8.0
BuildRequires:  python2-oslo.i18n >= 3.15.3
BuildRequires:  python2-oslo.serialization >= 2.18.0
BuildRequires:  python2-oslo.utils >= 3.33.0
BuildRequires:  python2-oslotest >= 3.2.0
BuildRequires:  python2-osprofiler >= 1.4.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-python-subunit >= 1.0.0
BuildRequires:  python2-setuptools >= 16.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python3-PrettyTable >= 0.7.1
BuildRequires:  python3-cryptography >= 1.9
BuildRequires:  python3-decorator >= 3.4.0
BuildRequires:  python3-devel
BuildRequires:  python3-fixtures >= 3.0.0
BuildRequires:  python3-keystoneauth1 >= 3.3.0
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3-openstackclient >= 3.12.0
BuildRequires:  python3-os-client-config >= 1.28.0
BuildRequires:  python3-osc-lib >= 1.8.0
BuildRequires:  python3-oslo.i18n >= 3.15.3
BuildRequires:  python3-oslo.serialization >= 2.18.0
BuildRequires:  python3-oslo.utils >= 3.33.0
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-osprofiler >= 1.4.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-python-subunit >= 1.0.0
BuildRequires:  python3-setuptools >= 16.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 2.2.0
Requires:       python-Babel >= 2.3.4
Requires:       python-PrettyTable >= 0.7.1
Requires:       python-cryptography >= 1.9
Requires:       python-decorator >= 3.4.0
Requires:       python-keystoneauth1 >= 3.3.0
Requires:       python-os-client-config >= 1.28.0
Requires:       python-osc-lib >= 1.8.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
Requires:       python-requests >= 2.14.2
Requires:       python-six >= 1.10.0
Requires:       python-stevedore >= 1.20.0
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
Client library for Magnum built on the Magnum API. It provides a Python API
(the magnumclient module) and a command-line tool (magnum).

%package -n python-magnumclient-doc
Summary:        Documentation for OpenStack Magnum API client libary
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.18.1

%description -n python-magnumclient-doc
Client library for Magnum built on the Magnum API. It provides a Python API
(the magnumclient module) and a command-line tool (magnum).
This package contains the documentation.

%prep
%autosetup -p1 -n python-magnumclient-2.9.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

# Build HTML docs and man page
%{__python2} setup.py build_sphinx --builder=html,man
rm -rf html/.{doctrees,buildinfo}

%install
%{python_install}
# man page
install -p -D -m 644 doc/build/man/python-magnumclient.1 %{buildroot}%{_mandir}/man1/magnum.1
# Install bash completion
install -p -D -m 644 tools/magnum.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/magnum.bash_completion
%python_clone -a %{buildroot}%{_bindir}/magnum
%python_clone -a %{buildroot}%{_mandir}/man1/magnum.1
%python_clone -a %{buildroot}%{_sysconfdir}/bash_completion.d/magnum.bash_completion

%post
%{python_install_alternative magnum magnum.1 %{_sysconfdir}/bash_completion.d/magnum.bash_completion}

%postun
%python_uninstall_alternative magnum

%check
%{python_expand rm -rf .testrepository
$python setup.py testr
}

%files %{python_files}
%license LICENSE
%{python_sitelib}/magnumclient
%{python_sitelib}/*.egg-info
%python_alternative %{_bindir}/magnum
%python_alternative %{_mandir}/man1/magnum.1
%python_alternative %{_sysconfdir}/bash_completion.d/magnum.bash_completion

%files -n python-magnumclient-doc
%doc README.rst doc/build/html
%license LICENSE

%changelog
* Tue Mar  6 2018 cloud-devel@suse.de
- update to version 2.9.0
  - Add deprecation warnings to magnum client commands
  - Now cluster-template-update works for "labels"
  - Update UPPER_CONSTRAINTS_FILE for stable/queens
  - OSC command for ca-show, ca-sign, ca-roatate and stats-list
  - Update .gitreview for stable/queens
  - Make cluster-config rbac compatible for kubebernetes
  - OSC command for magnum quota's
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Feb 12 2018 cloud-devel@suse.de
- update to version 2.8.0 (bsc#1078607)
  - Add oslo.log as requirement
  - Replace six.iteritems() with .items()
  - OSC: Add --labels to coe cluster create
  - OSC: Add --flavor to coe cluster create
  - OSC: Add magnum service-list command
  - Add missing master_flavor_id in cluster attributes
  - Make cluster config --force a boolean
  - Add disable floating ip parameter
  - OSC: Remove unused files
  - inline comment typo fix
  - Now `name` is a positional argument in cluster creation
  - Add --labels for cluster-create
  - OSC: Add --master-flavor to coe cluster create
  - Cleanup test-requirements
  - Set --labels default to None on cluster create
  - Updated from global requirements
  - Avoid tox_install.sh for constraints support
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 2.7.0
  - Make cluster name positional in ca-show
  - Add --docker-volume-size for cluster-create
  - Change assertTrue(isinstance()) by optimal assert
  - Remove log translations
  - Make --profile load from environment variables
  - remove slash from kubernetes cluster context name
  - Don't set a default for docker_volume_size
  - Update the documentation link for doc migration
  - OSC: Add cluster config command
  - OSC 2/4 Add Cluster Create and List
  - switch to openstackdocstheme
  - OSC 3/4 Add remaining CT commands
  - OSC 1/4 Add CT create and UT framework
  - Remove docker-volume-size from cluster-list
  - Updated from global requirements
  - OSC 4/4 Add remaining cluster commands
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 2.6.0
  - Add magnum client support for resource quotas
  - Correct mistake from OSprofiler help
  - Update .gitignore to ignore .eggs
  - The python 3.4 support is removed
  - Fix wrong path reference.
  - Magnum client suport insecure_registry
  - Simplify magnumclient.shell.OpenStackMagnumShell.main()
  - Fix UT for duplicate name args test case
  - Update test requirement
  - Add ca-rotate command to magnumclient
  - Replace assertRaisesRegexp with assertRaisesRegex
  - Compare test coverage with the master branch
  - Move cover.sh to the tools directory
  - Make --cluster option required for ca-rotate
  - Print exception details on update failure
  - Allow name as positional argument
  - Remove support for keyapir UUID
  - Use assertIsNone(...) instead of assertEqual(None, ...).
  - Increase Test coverage
  - Updated from global requirements
  - Add the support for 'detail' flag
* Fri Jul  7 2017 cloud-devel@suse.de
- update to version 2.5.0
  - Add the OSC 'cluster template list' command
  - Add osc-lib to requirements.txt
  - Increase UT Coverage
  - Updated from global requirements
  - Add usage docs for magnum client
* Fri Jun 23 2017 tbechtold@suse.com
- update requirements
* Tue Feb 21 2017 cloud-devel@suse.de
- update to version 2.4.0:
  - Fix passing TLS_VERIFIED in clusters/bays_shell
  - Enable DeprecationWarning in test environments
  - Add --keypair-id for cluster-create
  - Remove invalid check for 'manifest' path
  - Show team and repo badges on README
  - cluster-config return absolute path
  - Adding stats-list command to magnum client
  - Rollback cluster/bay on update failure
  - delete python bytecode including pyo before every test run
  - Increase UT Coverage
  - Cluster creation command returns complete cluster uuid
  - Implement Parameter Deprecation
  - Fix: swarm cluster-config, bay-config with tls_disabled
  - Use testr coverage feature
  - Add missing options for HTTPClient if auth_token given.
  - Fix the generated k8s config file
  - Fix: some typos in unit test
  - Magnum cluster-config/bay-config compatible with py3
  - Add magnum.bash_completion
  - Replace assertTrue(a in b) with assertIn(a, b)
  - Add OSC command for cluster_templates list
  - Increase UT coverage
  - Remove Not used Classes/Methods from apiclient.base
  - Mark help messages for Translation
  - Add .venv directory to .gitignore
  - Fix a keyward arguement error on bay-config
  - Sync tools/tox_install.sh
  - Use assert_called_*/assert_not_called to verify mock calls
  - Remove white space between print and ()
  - Remove H903 error in sources.
  - Integrate OSprofiler in Magnum Client
  - Added link for modindex
  - Renames *-id parameters
  - Pass 'api_version' to create HTTPClient
  - Add __ne__ built-in function
  - Add a deprecation message to the bay* commands' help text
  - Updated from global requirements
  - Allow cluster-config on cluster status 'ROLLBACK_COMPLETE'
* Thu Nov  3 2016 tbechtold@suse.com
  update to version 2.3.1
  * Update .gitreview for stable/newton
  * Add missing options for HTTPClient if auth_token given.
- Switch to stable/newton in _service
* Tue Sep  6 2016 tbechtold@suse.com
  update to version 2.3.0
  * Base OSC plugin support
  * Use os-client-config in shell
  * Use upper constraints for all jobs in tox.ini
  * Magnum client to support sync and async bay opts
  * Remove discover from test-requirements
  * Prints  '-' instead of 'None' when data is None
  * Updates certificate CLI to use cluster
  * Increase unit test coverage for module baymodels
  * Adds 'cluster' and 'cluster template'
  * Add Python 3.5 classifier and venv
  * Add shell command bay-config
  * Cleanup coverage configuration
  * bay-config return absolute path
  * Update the magnum client to send the latest version.
  * Enabled magnum client to display detailed information
  * Fix to use HttpClient if token is given
  * Fixes bay_uuid parameter issue in functional tests
  * Display baymodel info with bay-show command
  * Add microversioning support for httpclient
  * Add floating_ip_enabled attributes to baymodel
  * Append value using comma if key exists in label
  * Updated from global requirements
* Tue Aug 30 2016 tbechtold@suse.com
- update to 2.2.0:
  * Updated from global requirements
  * Bay_create_timeout should be set to 60 default
  * Pass a flag to disable LB in baymodels
  * Log appropriate error while exception
  * Add fixed_subnet attributes to baymodel
  * Support OS_PROJECT_* env variables
  * Completely remove openstack common modules
  * Add docker-storage-driver argument to baymodel
  * Tox test should respect upper-constraints
  * Switch to a new service type "container-infra"
  * Add mesos_slave_executor_environment_variables validate in CLI
  * Add some fields back to bay_list
  * Add '--fields' to show more columns for bay-list
  * Update the home-page with developer documentation
  * Correcting help messages of baymodel
  * Add python3 to python classifiers
  * Add '--fields' to show more columns for baymodel-list
  * Corrected spacing mistake in baymodels_shell.py
  * Fix the bug when some value in labels has comma, it will fail
  * Remove k8s pods, rcs, svc and container API calls
  * Add endpoint_override parameter to python-magnumclient
  * Revert "Parameter format change for ca-show and ca-sign"
  * Parameter format change for ca-show and ca-sign
  * Fix the container-list with --limit 'a negative number'
  * Remove the update function of container
  * Add missing user message
  * Add marker/limit/sort-key/sort-dir features for bay-list
  * Add marker/limit/sort-key/sort-dir features for container-list
  * Allow semicolons in list of labels
  * Add unit tests for MServiceManager.list() method
  * Add unit tests for ContainerManager.list() method
  * Add unit tests for BayModelManager.list() method
  * Add unit tests for BayManager.list() method
  * Adapt http response error message parsing
- update _service and switch to upstream spec template
* Wed Apr 13 2016 tbechtold@suse.com
- Initial packaging (version 2.0.0)
